org.wildfly.swarm.config

## Class EE.EEResources

- java.lang.Object
- - org.wildfly.swarm.config.EE.EEResources

- Enclosing class:
    EE<T extends EE<T>>

      public static class EE.EEResources
      extends Object

  Child mutators for EE

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EEResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextService` | `contextService(String key)`
    `List<ContextService>` | `contextServices()` Get the list of ContextService resources
    `DefaultBindingsService` | `defaultBindingsService()` The JNDI names for the default EE bindings
    `ManagedExecutorService` | `managedExecutorService(String key)`
    `List<ManagedExecutorService>` | `managedExecutorServices()` Get the list of ManagedExecutorService resources
    `ManagedScheduledExecutorService` | `managedScheduledExecutorService(String key)`
    `List<ManagedScheduledExecutorService>` | `managedScheduledExecutorServices()` Get the list of ManagedScheduledExecutorService resources
    `List<ManagedThreadFactory>` | `managedThreadFactories()` Get the list of ManagedThreadFactory resources
    `ManagedThreadFactory` | `managedThreadFactory(String key)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EEResources

          public EEResources()

  - ### Method Detail

    - #### managedThreadFactories

          public List<ManagedThreadFactory> managedThreadFactories()

      Get the list of ManagedThreadFactory resources
      Returns:
        the list of resources

    - #### managedThreadFactory

          public ManagedThreadFactory managedThreadFactory(String key)

    - #### contextServices

          public List<ContextService> contextServices()

      Get the list of ContextService resources
      Returns:
        the list of resources

    - #### contextService

          public ContextService contextService(String key)

    - #### managedExecutorServices

          public List<ManagedExecutorService> managedExecutorServices()

      Get the list of ManagedExecutorService resources
      Returns:
        the list of resources

    - #### managedExecutorService

          public ManagedExecutorService managedExecutorService(String key)

    - #### managedScheduledExecutorServices

          public List<ManagedScheduledExecutorService> managedScheduledExecutorServices()

      Get the list of ManagedScheduledExecutorService resources
      Returns:
        the list of resources

    - #### managedScheduledExecutorService

          public ManagedScheduledExecutorService managedScheduledExecutorService(String key)

    - #### defaultBindingsService

          public DefaultBindingsService defaultBindingsService()

      The JNDI names for the default EE bindings

Copyright © 2017 JBoss by Red Hat. All rights reserved.